summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2015-10-27 01:09:03 (EDT)
committer P. J. McDermott <pj@pehjota.net>2015-10-27 01:17:06 (EDT)
commit6b30723012ff09d16c9ceb8b6535383eb595e41e (patch)
treeb6fff83f9065dbd2ca65882b628b96206626c72a /tools
parentfe46c4b359f2e20a7c91ab4bd027894d277349c9 (diff)
downloadfirman.sh-6b30723012ff09d16c9ceb8b6535383eb595e41e.zip
firman.sh-6b30723012ff09d16c9ceb8b6535383eb595e41e.tar.gz
firman.sh-6b30723012ff09d16c9ceb8b6535383eb595e41e.tar.bz2
tools/shmin.sh: Preserve mode of output file
Diffstat (limited to 'tools')
-rwxr-xr-xtools/shmin.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/shmin.sh b/tools/shmin.sh
index 9bf50b7..02684b6 100755
--- a/tools/shmin.sh
+++ b/tools/shmin.sh
@@ -187,7 +187,7 @@ minify()
fi
# Set output file name.
- if ! mv "${output}~" "${output}"; then
+ if ! cat "${output}~" >"${output}"; then
die 'Cannot rename file to "%s"' "${output}"
fi
}